# Tarfile created using svn
# svn co http://svn2.assembla.com/svn/elements
# cd elements
# svn export -r %{svnrevision} . %{name}-%{version}
# tar -cjvf ~/%{name}-%{version}-%{svndate}.tar.bz2 %{name}-%{version}

%global svndate 20100110
%global svnrevision 230
%global tarfile %{name}-%{version}-%{svndate}.tar.bz2

%define rel 16
Name:           python-elements
Version:        0.13
Release:        %mkrel %{rel}.%{svndate}svn
Summary:        A 2D Physics API for Python

Group:          Development/Python
License:        GPLv3+
URL:            http://www.assembla.com/wiki/show/elements
Source0:        %{tarfile}

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-pybox2d

%description
An easy to use API for integrating 2D physics (with pybox2d) into own
python ideas, that includes user interfaces & simulations, as well as
teaching & learning tools.


%prep
%setup -q

# calm rpmlint down
sed -i elements/elements.py -e 1d


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}


%files
%doc CREDITS LICENSE README
%{python_sitelib}/*


%changelog
* Fri Feb 05 2016 umeabot <umeabot> 0.13-16.20100110svn.mga6
+ Revision: 937456
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.13-15.20100110svn.mga6
+ Revision: 937009
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.13-14.20100110svn.mga5
+ Revision: 746059
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.13-13.20100110svn.mga5
+ Revision: 728383
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.13-12.20100110svn.mga5
+ Revision: 688015
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.13-10.20100110svn.mga4
+ Revision: 543593
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.13-9.20100110svn.mga4
+ Revision: 498624
- Make the spec updatable by youri

* Mon Sep 23 2013 zezinho <zezinho> 0.13-8.20100110svn.mga4
+ Revision: 483832
- fix rpm group
- remove fedora only parts
- switch to fedora version is it is the one needed by sugar

* Sun Jan 13 2013 umeabot <umeabot> 0.2.0-2.mga3
+ Revision: 378800
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 19 2012 zezinho <zezinho> 0.2.0-1.mga3
+ Revision: 332767
- fix spec

  + joequant <joequant>
    - imported package python-elements

